Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1366822 - [abrt] gnome-software: magazine_chain_pop_head(): gnome-software killed by SIGSEGV
Summary: [abrt] gnome-software: magazine_chain_pop_head(): gnome-software killed by SI...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-software
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard Hughes
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:1dbda38eadb5c758426433672f0...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-13 04:40 UTC by Joachim Frieben
Modified: 2017-12-12 10:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:26:45 UTC


Attachments (Terms of Use)
File: backtrace (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: cgroup (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: core_backtrace (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: dso_list (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: environ (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: exploitable (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: limits (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: maps (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: mountinfo (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: namespaces (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: open_fds (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: proc_pid_status (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details
File: var_log_messages (deleted)
2016-08-13 04:41 UTC, Joachim Frieben
no flags Details

Description Joachim Frieben 2016-08-13 04:40:58 UTC
Version-Release number of selected component:
gnome-software-3.21.4-1.fc25

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/bin/gnome-software --gapplication-service
crash_function: magazine_chain_pop_head
executable:     /usr/bin/gnome-software
global_pid:     1771
kernel:         4.8.0-0.rc1.git3.1.fc25.x86_64
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 magazine_chain_pop_head at gslice.c:539
 #1 thread_memory_magazine1_alloc at gslice.c:842
 #2 g_slice_alloc at gslice.c:1016
 #3 g_variant_get_child_value at gvariant-core.c:1009
 #4 g_variant_valist_get at gvariant.c:5213
 #5 g_variant_get_va at gvariant.c:5441
 #6 g_variant_get at gvariant.c:5388
 #7 do_lookup at gresource.c:603
 #8 g_resource_lookup_data at gresource.c:723
 #9 as_utils_is_spdx_license_id at as-utils.c:222

Potential duplicate: bug 1349106

Comment 1 Joachim Frieben 2016-08-13 04:41:04 UTC
Created attachment 1190598 [details]
File: backtrace

Comment 2 Joachim Frieben 2016-08-13 04:41:05 UTC
Created attachment 1190599 [details]
File: cgroup

Comment 3 Joachim Frieben 2016-08-13 04:41:07 UTC
Created attachment 1190600 [details]
File: core_backtrace

Comment 4 Joachim Frieben 2016-08-13 04:41:08 UTC
Created attachment 1190601 [details]
File: dso_list

Comment 5 Joachim Frieben 2016-08-13 04:41:10 UTC
Created attachment 1190602 [details]
File: environ

Comment 6 Joachim Frieben 2016-08-13 04:41:11 UTC
Created attachment 1190603 [details]
File: exploitable

Comment 7 Joachim Frieben 2016-08-13 04:41:12 UTC
Created attachment 1190604 [details]
File: limits

Comment 8 Joachim Frieben 2016-08-13 04:41:14 UTC
Created attachment 1190605 [details]
File: maps

Comment 9 Joachim Frieben 2016-08-13 04:41:16 UTC
Created attachment 1190606 [details]
File: mountinfo

Comment 10 Joachim Frieben 2016-08-13 04:41:17 UTC
Created attachment 1190607 [details]
File: namespaces

Comment 11 Joachim Frieben 2016-08-13 04:41:19 UTC
Created attachment 1190608 [details]
File: open_fds

Comment 12 Joachim Frieben 2016-08-13 04:41:20 UTC
Created attachment 1190609 [details]
File: proc_pid_status

Comment 13 Joachim Frieben 2016-08-13 04:41:21 UTC
Created attachment 1190610 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-11-16 14:41:58 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-12-12 10:26:45 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.